Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class AbstractBalanceBean

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `Charge`, `Payment`

public abstract class AbstractBalanceBean extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBalanceBean()`
  `AbstractBalanceBean(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Возвращает примечание.
  `int`
  `getContractId()`
  Возвращает код договора.
  `Date`
  `getDate()`
  Возвращает дату расхода/прихода.
  `BigDecimal`
  `getSum()`
  Возвращает сумму.
  `Date`
  `getTimeChange()`
  Возвращает время последней модификации.
  `int`
  `getTypeId()`
  Возвращает код типа.
  `int`
  `getUserId()`
  Возвращает код пользователя биллинга.
  `AbstractBalanceBean`
  `setComment(String comment)`
  Устанавливает примечание.
  `AbstractBalanceBean`
  `setContractId(int value)`
  Устанавливает код договора.
  `AbstractBalanceBean`
  `setDate(Date date)`
  Устанавливает дату расхода/прихода.
  `AbstractBalanceBean`
  `setSum(BigDecimal sum)`
  Устанавливает сумму.
  `AbstractBalanceBean`
  `setTimeChange(Date timeChange)`
  Устанавливает время последней модификации.
  `AbstractBalanceBean`
  `setTypeId(int value)`
  Устанавливает код типа.
  `AbstractBalanceBean`
  `setUserId(int value)`
  Устанавливает код пользователя биллинга.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBalanceBean

    public AbstractBalanceBean()

  - ### AbstractBalanceBean

    public AbstractBalanceBean(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)

- ## Method Details

  - ### getComment

    public String getComment()
    Возвращает примечание.
    Returns:

  - ### getContractId

    public int getContractId()
    Возвращает код договора.
    Returns:

  - ### getDate

    public Date getDate()
    Возвращает дату расхода/прихода.
    Returns:

  - ### getSum

    public BigDecimal getSum()
    Возвращает сумму.
    Returns:

  - ### getTimeChange

    public Date getTimeChange()
    Возвращает время последней модификации.
    Returns:

  - ### getTypeId

    public int getTypeId()
    Возвращает код типа.
    Returns:

  - ### getUserId

    public int getUserId()
    Возвращает код пользователя биллинга.
    Returns:

  - ### setComment

    public AbstractBalanceBean setComment(String comment)
    Устанавливает примечание.
    Parameters:
      `comment` -

  - ### setContractId

    public AbstractBalanceBean setContractId(int value)
    Устанавливает код договора.
    Parameters:
      `value` -

  - ### setDate

    public AbstractBalanceBean setDate(Date date)
    Устанавливает дату расхода/прихода.
    Parameters:
      `date` -

  - ### setSum

    public AbstractBalanceBean setSum(BigDecimal sum)
    Устанавливает сумму.
    Parameters:
      `sum` -

  - ### setTimeChange

    public AbstractBalanceBean setTimeChange(Date timeChange)
    Устанавливает время последней модификации.

  - ### setTypeId

    public AbstractBalanceBean setTypeId(int value)
    Устанавливает код типа.
    Parameters:
      `value` -

  - ### setUserId

    public AbstractBalanceBean setUserId(int value)
    Устанавливает код пользователя биллинга.
    Parameters:
      `value` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`